Subject: bug#20807: closed (Re: bug#32576: 24.5; cannot end gdb breakpoint command list)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Sep 2018 13:13:04 +0000

Your bug report

#32576: Emacs 24.3.1 GDB Commands Glitch

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32576: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32576
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32576: 24.5; cannot end gdb breakpoint command list
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 10 Sep 2018 16:12:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 29 Aug 2018 21:45:01 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Glenn Morris <[email-masked]>
> > Cc: Steven Legowik <[email-masked]>,  [email-masked]
> > Date: Wed, 29 Aug 2018 14:11:13 -0400
> > 
> > 
> > AFAICS it remains broken in master.
> > You have to type "commands" not "command" to get it to work.
> > gdb-control-commands-regexp doesn't handle abbreviations.
> > 
> > This is a duplicate of bug#20807.
> 
> If that's the problem, I wonder why no one fixed it until now.

Fixed on the emacs-26 branch.

Subject: Emacs 24.3.1 GDB Commands Glitch
From: Ross Biro <[email-masked]>
To: [email-masked]
Date: Sat, 13 Jun 2015 16:22:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This is in an older version, but I couldn't find it in the bug database, so
I thought I'd report it.

In Emacs 24.3.1 if you enter gdb mode and set a break point.
then type

command

instead of commands [notice the lack of the s], gdb autocompletes to
command, but emacs does not recognize it.  So typing

end

does not work.  The only way I could find to exit commands mode was to kill
the buffer ending my debugging session.

Expected: "command" should work the same as "commands", or fail entirely.

    Ross